<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ctsc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ctsc_t</compoundname>
    <includes local="no">cy_ble_cts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ctsc__t_1ae21198e446818d9a321a628a63fdb4e9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_ctsc_t::currTimeCharacteristics[CY_BLE_CTS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_CTS_CHAR_COUNT]</argsstring>
        <name>currTimeCharacteristics</name>
        <briefdescription>
<para>Structure with Characteristic handles + properties of Current Time Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="194" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="194" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ctsc__t_1ae880151f702a7911887f36edccb2dd16" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ctsc_t::currTimeCccdHandle</definition>
        <argsstring />
        <name>currTimeCccdHandle</name>
        <briefdescription>
<para>Current Time Client Characteristic Configuration handle of Current Time Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="197" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Current Time Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="379">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="378">
        <label>cy_stc_ble_ctsc_t</label>
        <link refid="structcy__stc__ble__ctsc__t" />
        <childnode refid="379" relation="usage">
          <edgelabel>currTimeCharacteristics</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="198" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="191" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="192" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ctsc__t_1ae880151f702a7911887f36edccb2dd16" virt="non-virtual"><scope>cy_stc_ble_ctsc_t</scope><name>currTimeCccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ctsc__t_1ae21198e446818d9a321a628a63fdb4e9" virt="non-virtual"><scope>cy_stc_ble_ctsc_t</scope><name>currTimeCharacteristics</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>